package com.zyzf.coffeepreorder.database.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.Ignore
import androidx.room.PrimaryKey

@Entity(tableName = "user")
data class User(
    @PrimaryKey(autoGenerate = true)
    val uid: Int?,
    @ColumnInfo(name = "login")
    var login: String,
    @ColumnInfo(name = "fio")
    var fio: String,
    @ColumnInfo(name = "phone")
    var phone: String,
    @ColumnInfo(name = "password")
    var password: String
) {
    @Ignore
    constructor(
        login: String,
        fio: String,
        phone: String,
        password: String
    ) : this(null, login, fio, phone, password)

    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false
        other as User
        if (uid != other.uid) return false
        return true
    }

    override fun hashCode(): Int {
        return uid ?: -1
    }
}